#### D.5.17.31 rationalCurve

Procedure from library `schubert.lib` (see schubert_lib).

Usage:
  rationalCurve(d,#); d int, # list

Return:
  number

Theory:
  This is the Gromov-Witten invariant corresponding the number of rational curves on a general Calabi-Yau threefold.

Example:

    LIB "schubert.lib";
    ring r = 0,x,dp;
    rationalCurve(1);
    ==> 2875
    /*
    rationalCurve(2);
    rationalCurve(3);
    rationalCurve(4);
    rationalCurve(1,list(4,2));
    rationalCurve(1,list(3,3));
    rationalCurve(1,list(3,2,2));
    rationalCurve(1,list(2,2,2,2));
    rationalCurve(2,list(4,2));
    rationalCurve(2,list(3,3));
    rationalCurve(2,list(3,2,2));
    rationalCurve(2,list(2,2,2,2));
    rationalCurve(3,list(4,2));
    rationalCurve(3,list(3,3));
    rationalCurve(3,list(3,2,2));
    rationalCurve(3,list(2,2,2,2));
    rationalCurve(4,list(4,2));
    rationalCurve(4,list(3,3));
    rationalCurve(4,list(3,2,2));
    rationalCurve(4,list(2,2,2,2));
    */

See also: linesHypersurface; multipleCover.

User manual for Singular version 4.4.1, 2025, generated by texi2html.